xmonad-contrib-0.17.1: Community-maintained extensions for xmonad

Copyright | (c) Jeremy Apthorp
License | BSD-style (see LICENSE)
Maintainer | Jeremy Apthorp <nornagon@gmail.com>
Stability | unstable
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Layout.Dishes

Contents

- Usage

Description

Dishes is a layout that stacks extra windows underneath the master windows.

Synopsis

- data Dishes a = Dishes Int Rational

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.Dishes

Then edit your `layoutHook` by adding the Dishes layout:

    myLayout = Dishes 2 (1/6) ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

data Dishes a #

Constructors

Dishes Int Rational |

#### Instances

Instances details

LayoutClass Dishes a # |

Instance details

Defined in XMonad.Layout.Dishes

Methods

runLayout :: Workspace WorkspaceId (Dishes a) a -> Rectangle -> X ([(a, Rectangle)], Maybe (Dishes a)) #

doLayout :: Dishes a -> Rectangle -> Stack a -> X ([(a, Rectangle)], Maybe (Dishes a)) #

pureLayout :: Dishes a -> Rectangle -> Stack a -> [(a, Rectangle)] #

emptyLayout :: Dishes a -> Rectangle -> X ([(a, Rectangle)], Maybe (Dishes a)) #

handleMessage :: Dishes a -> SomeMessage -> X (Maybe (Dishes a)) #

pureMessage :: Dishes a -> SomeMessage -> Maybe (Dishes a) #

description :: Dishes a -> String #

Read (Dishes a) # |
Instance details Defined in XMonad.Layout.Dishes Methods readsPrec :: Int -> ReadS (Dishes a) # readList :: ReadS [Dishes a] # readPrec :: ReadPrec (Dishes a) readListPrec :: ReadPrec [Dishes a]
Show (Dishes a) # |
Instance details Defined in XMonad.Layout.Dishes Methods showsPrec :: Int -> Dishes a -> ShowS # show :: Dishes a -> String # showList :: [Dishes a] -> ShowS #